<?php

namespace ePHPic\View;

use \Exception;

abstract class ArrayAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        if (null === $value || true === is_array($value))
        {
            return true;
        }
        return false;
    }
    public function __toString(): string
    {
        if (true === is_array($this->value))
        {
            if (true === array_is_list($this->value))
            {
                return implode(",", $this->value);
            }
            else
            {
                $result = [];
                asort($this->value);
                foreach ($this->value as $key => $value)
                {
                    $value = trim($value);
                    $key = trim($key);
                    $result[] = "$key: $value";
                }
                $string = implode('; ', $result);
                return $string;
            }
        }
        return "";
    }
}
