<?php

namespace ePHPic\View;

use ePHPic\View\NonEmptyAttribute;

abstract class BooleanAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        // The contenteditable attribute can be true|false|null
        return null === $value || is_bool($value);
    }

    public function __toString(): string
    {
        if (true === $this->value)
        {
            return "true";
        }
        return "false";
    }
}