<?php

namespace ePHPic\View;

use ePHPic\View\NonEmptyAttribute;

abstract class MultiStringAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        return is_string($value) || null === $value;
    }
    public function __toString(): string
    {
        return (string) $this->value;
    }
    protected function normalize(mixed $value = null): mixed
    {
        $class = null !== $value 
            ? explode(separator: " ", string: $value)
            : [];
        $class = array_filter(
            array: $class, 
            callback: function($value): bool 
            {
                return $value !== null && $value !== "";
            }
        );
        $class = array_unique(array: $class);
        asort($class);
        $class = array_values(array: $class);
        return implode(separator: " ", array: $class);
    }
}