<?php

namespace ePHPic\View;

use ePHPic\View\NonEmptyAttribute;

abstract class OneCharacterAttribute extends NonEmptyAttribute
{
    protected function validate($value): bool
    {
        // The accesskey attribute can be a single character
        return null === $value
            ||
            is_string($value) && strlen($value) <= 1;
    }

    public function __toString(): string
    {
        return (string) $this->value;
    }
}