<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\DownloadAttribute;
use ePHPic\View\Attributes\HrefAttribute;
use ePHPic\View\Attributes\HrefLanguageAttribute;
use ePHPic\View\Attributes\MediaAttribute;
use ePHPic\View\Attributes\PingAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\RelationAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class AnchorTag extends Tag
{
    public DownloadAttribute $download;
    public HrefAttribute $href;
    public HrefLanguageAttribute $hreflang;
    public MediaAttribute $media;
    public RelationAttribute $rel;
    public TargetAttribute $target;
    public TypeAttribute $type;
    public PingAttribute $ping;
    public RefererPolicyAttribute $refererpolicy;

    protected function getTag(): string
    {
        return 'a';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
