<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AutoFocusAttribute;
use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\EncodeTypeAttribute;
use ePHPic\View\Attributes\FormActionAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\MethodAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\NoValidateAttribute;
use ePHPic\View\Attributes\PopoverTargetActionAttribute;
use ePHPic\View\Attributes\PopoverTargetAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Tag;

class ButtonTag extends Tag
{
    public AutoFocusAttribute $autoFocus;
    public DisabledAttribute $disabled;
    public FormAttribute $form;
    public FormActionAttribute $formAction;
    public EncodeTypeAttribute $formEncodeType;
    public MethodAttribute $formMethod;
    public NoValidateAttribute $formNoValidate;
    public TargetAttribute $formTarget;
    public PopoverTargetAttribute $popoverTarget;
    public PopoverTargetActionAttribute $popoverTargetAction;
    public NameAttribute $name;
    public TypeAttribute $type;
    public ValueAttribute $value;

    protected function getTag(): string
    {
        return 'button';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
