<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AltAttribute;
use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\IsMapAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\SizesAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\UseMapAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class ImageTag extends Tag
{
    public AltAttribute $alt;
    public $crossOrigin;
    public HeightAttribute $height;
    public IsMapAttribute $isMap;
    public $loading;
    public $longDescription;
    public RefererPolicyAttribute $refererPolicy;
    public SizesAttribute $sizes;
    public SourceAttribute $src;
    public $srcset;
    public UseMapAttribute $useMap;
    public WidthAttribute $width;

    protected function getTag(): string
    {
        return 'img';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
