<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AcceptAttribute;
use ePHPic\View\Attributes\AltAttribute;
use ePHPic\View\Attributes\AutoCompleteAttribute;
use ePHPic\View\Attributes\AutoFocusAttribute;
use ePHPic\View\Attributes\CheckedAttribute;
use ePHPic\View\Attributes\DirectionNameAttribute;
use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\EncodeTypeAttribute;
use ePHPic\View\Attributes\FormActionAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\HeightAttribute;
use ePHPic\View\Attributes\IsMapAttribute;
use ePHPic\View\Attributes\ListAttribute;
use ePHPic\View\Attributes\MaxAttribute;
use ePHPic\View\Attributes\MaxLengthAttribute;
use ePHPic\View\Attributes\MethodAttribute;
use ePHPic\View\Attributes\MinAttribute;
use ePHPic\View\Attributes\MultipleAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\NoValidateAttribute;
use ePHPic\View\Attributes\PatternAttribute;
use ePHPic\View\Attributes\PlaceholderAttribute;
use ePHPic\View\Attributes\PopoverTargetActionAttribute;
use ePHPic\View\Attributes\PopoverTargetAttribute;
use ePHPic\View\Attributes\ReadOnlyAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\RequiredAttribute;
use ePHPic\View\Attributes\SizeAttribute;
use ePHPic\View\Attributes\SizesAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\StepAttribute;
use ePHPic\View\Attributes\TargetAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Attributes\UseMapAttribute;
use ePHPic\View\Attributes\ValueAttribute;
use ePHPic\View\Attributes\WidthAttribute;
use ePHPic\View\Tag;

class InputTag extends Tag
{
    public AcceptAttribute $accept;
    public AltAttribute $alt;
    public AutoCompleteAttribute $autoComplete;
    public AutoFocusAttribute $autoFocus;
    public CheckedAttribute $checked;
    public DirectionNameAttribute $dirname;
    public DisabledAttribute $disabled;
    public FormAttribute $form;
    public FormActionAttribute $formAction;
    public EncodeTypeAttribute $formEncodeType;
    public MethodAttribute $formMethod;
    public NoValidateAttribute $formNoValidate;
    public TargetAttribute $formTarget;
    public HeightAttribute $height;
    public ListAttribute $list;
    public MaxAttribute $max;
    public MaxLengthAttribute $maxLength;
    public MinAttribute $min;
    public $minLength;
    public MultipleAttribute $multiple;
    public NameAttribute $name;
    public PatternAttribute $pattern;
    public PlaceholderAttribute $placeholder;
    public PopoverTargetAttribute $popoverTarget;
    public PopoverTargetActionAttribute $popoverTargetActopn;
    public ReadOnlyAttribute $readOnly;
    public RequiredAttribute $required;
    public SizeAttribute $size;
    public SourceAttribute $src;
    public StepAttribute $step;
    public TypeAttribute $type;
    public ValueAttribute $value;
    public WidthAttribute $width;
    
    protected function getTag(): string
    {
        return 'input';
    }

    protected function isEmptyTag(): bool
    {
        return true;
    }
}
