<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AsyncAttribute;
use ePHPic\View\Attributes\DeferAttribute;
use ePHPic\View\Attributes\RefererPolicyAttribute;
use ePHPic\View\Attributes\SourceAttribute;
use ePHPic\View\Attributes\TypeAttribute;
use ePHPic\View\Tag;

class ScriptTag extends Tag
{
    public AsyncAttribute $async;
    public $crossorigin;
    public DeferAttribute $defer;
    public $integrity;
    public $nomodule;
    public RefererPolicyAttribute $refererPolicy;
    public SourceAttribute $src;
    public TypeAttribute $type;

    protected function getTag(): string
    {
        return 'script';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
