<?php

namespace ePHPic\View\Tags;

use ePHPic\View\Attributes\AutoFocusAttribute;
use ePHPic\View\Attributes\ColsAttribute;
use ePHPic\View\Attributes\DirectionNameAttribute;
use ePHPic\View\Attributes\DisabledAttribute;
use ePHPic\View\Attributes\FormAttribute;
use ePHPic\View\Attributes\MaxLengthAttribute;
use ePHPic\View\Attributes\NameAttribute;
use ePHPic\View\Attributes\PlaceholderAttribute;
use ePHPic\View\Attributes\ReadOnlyAttribute;
use ePHPic\View\Attributes\RequiredAttribute;
use ePHPic\View\Attributes\RowsAttribute;
use ePHPic\View\Attributes\WrapAttribute;
use ePHPic\View\Tag;

class TextAreaTag extends Tag
{
    public AutoFocusAttribute $autoFocus;
    public ColsAttribute $cols;
    public DirectionNameAttribute $dirname;
    public DisabledAttribute $disabled;
    public FormAttribute $form;
    public MaxLengthAttribute $maxlength;
    public NameAttribute $name;
    public PlaceholderAttribute $placeholder;
    public ReadOnlyAttribute $readOnly;
    public RequiredAttribute $required;
    public RowsAttribute $rows;
    public WrapAttribute $wrap;

    protected function getTag(): string
    {
        return 'textarea';
    }

    protected function isEmptyTag(): bool
    {
        return false;
    }
}
